Docs
Product Repository APIFilter

List all filters for the merchantBeta

Security groups:Rule Engineers
GET
/products/filters

Returns a list of all filter definitions available for the current merchant.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/products/filters"
{
  "filters": [
    {
      "id": 101,
      "name": "Green Filter",
      "description": "Filters products with green veggie color",
      "query": "merchant.veggieColor = \"green\""
    },
    {
      "id": 102,
      "name": "Salad Tag Filter",
      "description": "Filters products tagged with \"Salad\"",
      "query": "eclear.productTags[en] = \"Salad\""
    },
    {
      "id": 103,
      "name": "Advanced Filter",
      "description": "Filters products with tag \"Salad\" or \"Tomato\" and green color",
      "query": "eclear.productTags[en] %in% (\"Salad\", \"Tomato\") & merchant.veggieColor = \"green\""
    }
  ]
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}